This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 218014 - .rhosts authentication denied for rlogin
.rhosts authentication denied for rlogin
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-01 04:56 EST by Tomasz Kepczynski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:03:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomasz Kepczynski 2006-12-01 04:56:17 EST
Description of problem:
in.rlogin cannot access .rhosts on nfs home directory:
gklab-59-001:~> sudo setenforce 1
gklab-59-001:~> rlogin gklab-59-001
Password:
Last login: Fri Dec  1 10:51:30 from gklab-59-001
gklab-59-001:~> logout
rlogin: connection closed.
gklab-59-001:~> sudo setenforce 0
gklab-59-001:~> rlogin gklab-59-001
Last login: Fri Dec  1 10:51:44 from gklab-59-001
gklab-59-001:~>
With selinux enforcing user is prompted for password even that
he correctly configured .rhosts as seen for selinux permissive.
The following is reported by ausearch:
----
time->Fri Dec  1 10:46:41 2006
type=SYSCALL msg=audit(1164966401.843:113): arch=40000003 syscall=102 success=no
exit=-13 a0=1 a1=bfa65244 a2=ee5ff4 a3=0 items=0 ppid=2547 pid=3775
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="in.rlogind" exe="/usr/sbin/in.rlogind"
subj=system_u:system_r:rlogind_t:s0 key=(null)
type=AVC msg=audit(1164966401.843:113): avc:  denied  { create } for  pid=3775
comm="in.rlogind" scontext=system_u:system_r:rlogind_t:s0
tcontext=system_u:system_r:rlogind_t:s0 tclass=netlink_route_socket
----
time->Fri Dec  1 10:46:41 2006
type=SYSCALL msg=audit(1164966401.875:114): arch=40000003 syscall=5 success=no
exit=-13 a0=8692ad0 a1=8000 a2=1b6 a3=8692af0 items=0 ppid=2547 pid=3775
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=43270 egid=0 sgid=0 fsgid=0
tty=(none) comm="in.rlogind" exe="/usr/sbin/in.rlogind"
subj=system_u:system_r:rlogind_t:s0 key=(null)
type=AVC msg=audit(1164966401.875:114): avc:  denied  { search } for  pid=3775
comm="in.rlogind" name="/" dev=autofs ino=16240
scontext=system_u:system_r:rlogind_t:s0 tcontext=system_u:object_r:autofs_t:s0
tclass=dir

Home directory is located on nfs share and mounted using autofs.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.5-3.fc6.noarch
autofs-5.0.1-0.rc2.22.i386


How reproducible:
always

Actual results:
rlogin prompts for password.

Expected results:
rlogin allows user in, no questions asked.
Comment 1 Daniel Walsh 2006-12-01 12:47:34 EST
selinux-policy-targeted-2.4.6-4

Which will come out next week.

For now you can use audit2allow -M myrlogin < /vsar/log/audit/audit.log

if you want to fix it.
Comment 2 Daniel Walsh 2007-08-22 10:03:01 EDT
Closed as all fixes are in the current release

Note You need to log in before you can comment on or make changes to this bug.